require "rails_helper"

RSpec.describe Settings::CashierTerminalsController, type: :routing do
  describe "routing" do

    it "routes to #index" do
      expect(:get => "/settings/cashier_terminals").to route_to("settings/cashier_terminals#index")
    end

    it "routes to #new" do
      expect(:get => "/settings/cashier_terminals/new").to route_to("settings/cashier_terminals#new")
    end

    it "routes to #show" do
      expect(:get => "/settings/cashier_terminals/1").to route_to("settings/cashier_terminals#show", :id => "1")
    end

    it "routes to #edit" do
      expect(:get => "/settings/cashier_terminals/1/edit").to route_to("settings/cashier_terminals#edit", :id => "1")
    end

    it "routes to #create" do
      expect(:post => "/settings/cashier_terminals").to route_to("settings/cashier_terminals#create")
    end

    it "routes to #update via PUT" do
      expect(:put => "/settings/cashier_terminals/1").to route_to("settings/cashier_terminals#update", :id => "1")
    end

    it "routes to #update via PATCH" do
      expect(:patch => "/settings/cashier_terminals/1").to route_to("settings/cashier_terminals#update", :id => "1")
    end

    it "routes to #destroy" do
      expect(:delete => "/settings/cashier_terminals/1").to route_to("settings/cashier_terminals#destroy", :id => "1")
    end

  end
end
